com.genesyslab.wfm8.API.service.config800

## Class CfgUserTeam

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgUserTeam

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgUserTeam
      extends java.lang.Object
      implements java.io.Serializable

  User Team Access
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmSiteId`
    `protected int` | `wmTeamId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgUserTeam()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `hashCode()`
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `java.lang.String` | `toString()`
    `CfgUserTeam` | `withWmSiteId(int value)`
    `CfgUserTeam` | `withWmTeamId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

    - #### wmTeamId

          protected int wmTeamId

  - ### Constructor Detail

    - #### CfgUserTeam

          public CfgUserTeam()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### withWmSiteId

          public CfgUserTeam withWmSiteId(int value)

    - #### withWmTeamId

          public CfgUserTeam withWmTeamId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.